Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.taskqueue
Class TaskOptions.Builder

    java.lang.Object
      com.google.appengine.api.taskqueue.TaskOptions.Builder

Enclosing class:
  TaskOptions

    public static final class TaskOptions.Builder

extends java.lang.Object

Provides static creation methods for `TaskOptions`.

Method Summary
`static TaskOptions` | `withCountdownMillis(long countdownMillis)` Returns default `TaskOptions` and calls `TaskOptions.countdownMillis(long)`.
`static TaskOptions` | `withDefaults()` Returns default `TaskOptions` with default values.
`static TaskOptions` | `withEtaMillis(long etaMillis)` Returns default `TaskOptions` and calls `TaskOptions.etaMillis(long)`.
`static TaskOptions` | `withHeader(java.lang.String headerName, java.lang.String value)` Returns default `TaskOptions` and calls `TaskOptions.header(String, String)`.
`static TaskOptions` | `withHeaders(java.util.Map<java.lang.String,java.lang.String> headers)` Returns default `TaskOptions` and calls `TaskOptions.headers(Map)`.
`static TaskOptions` | `withMethod(TaskOptions.Method method)` Returns default `TaskOptions` and calls `TaskOptions.method(Method)`.
`static TaskOptions` | `withParam(java.lang.String paramName, byte[] value)` Returns default `TaskOptions` and calls `TaskOptions.param(String, byte[])`.
`static TaskOptions` | `withParam(java.lang.String paramName, java.lang.String value)` Returns default `TaskOptions` and calls `TaskOptions.param(String, String)`.
`static TaskOptions` | `withPayload(byte[] payload, java.lang.String contentType)` Returns default `TaskOptions` and calls `TaskOptions.payload(byte[], String)`.
`static TaskOptions` | `withPayload(DeferredTask deferredTask)` Returns default `TaskOptions` and calls `TaskOptions.payload(DeferredTask)`.
`static TaskOptions` | `withPayload(java.lang.String payload)` Returns default `TaskOptions` and calls `TaskOptions.payload(String)`.
`static TaskOptions` | `withPayload(java.lang.String payload, java.lang.String charset)` Returns default `TaskOptions` and calls `TaskOptions.payload(String, String)`.
`static TaskOptions` | `withRetryOptions(RetryOptions retryOptions)` Returns default `TaskOptions` and calls `TaskOptions.retryOptions(RetryOptions)`.
`static TaskOptions` | `withTag(byte[] tag)` Returns default `TaskOptions` and calls `TaskOptions.tag(byte[])`.
`static TaskOptions` | `withTag(java.lang.String tag)` Returns default `TaskOptions` and calls `TaskOptions.tag(String)`.
`static TaskOptions` | `withTaskName(java.lang.String taskName)` Returns default `TaskOptions` and calls `TaskOptions.taskName(String)`.
`static TaskOptions` | `withUrl(java.lang.String url)` Returns default `TaskOptions` and calls `TaskOptions.url(String)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withTaskName

    public static TaskOptions withTaskName(java.lang.String taskName)

  Returns default `TaskOptions` and calls `TaskOptions.taskName(String)`.

### withPayload

    public static TaskOptions withPayload(java.lang.String payload,
                                          java.lang.String charset)

  Returns default `TaskOptions` and calls `TaskOptions.payload(String, String)`.

### withPayload

    public static TaskOptions withPayload(DeferredTask deferredTask)

  Returns default `TaskOptions` and calls `TaskOptions.payload(DeferredTask)`.

### withPayload

    public static TaskOptions withPayload(byte[] payload,
                                          java.lang.String contentType)

  Returns default `TaskOptions` and calls `TaskOptions.payload(byte[], String)`.

### withPayload

    public static TaskOptions withPayload(java.lang.String payload)

  Returns default `TaskOptions` and calls `TaskOptions.payload(String)`.

### withHeaders

    public static TaskOptions withHeaders(java.util.Map<java.lang.String,java.lang.String> headers)

  Returns default `TaskOptions` and calls `TaskOptions.headers(Map)`.

### withHeader

    public static TaskOptions withHeader(java.lang.String headerName,
                                         java.lang.String value)

  Returns default `TaskOptions` and calls `TaskOptions.header(String, String)`.

### withMethod

    public static TaskOptions withMethod(TaskOptions.Method method)

  Returns default `TaskOptions` and calls `TaskOptions.method(Method)`.

### withParam

    public static TaskOptions withParam(java.lang.String paramName,
                                        java.lang.String value)

  Returns default `TaskOptions` and calls `TaskOptions.param(String, String)`.

### withParam

    public static TaskOptions withParam(java.lang.String paramName,
                                        byte[] value)

  Returns default `TaskOptions` and calls `TaskOptions.param(String, byte[])`.

### withUrl

    public static TaskOptions withUrl(java.lang.String url)

  Returns default `TaskOptions` and calls `TaskOptions.url(String)`.

### withCountdownMillis

    public static TaskOptions withCountdownMillis(long countdownMillis)

  Returns default `TaskOptions` and calls `TaskOptions.countdownMillis(long)`.

### withEtaMillis

    public static TaskOptions withEtaMillis(long etaMillis)

  Returns default `TaskOptions` and calls `TaskOptions.etaMillis(long)`.

### withRetryOptions

    public static TaskOptions withRetryOptions(RetryOptions retryOptions)

  Returns default `TaskOptions` and calls `TaskOptions.retryOptions(RetryOptions)`.

### withTag

    public static TaskOptions withTag(byte[] tag)

  Returns default `TaskOptions` and calls `TaskOptions.tag(byte[])`.

### withTag

    public static TaskOptions withTag(java.lang.String tag)

  Returns default `TaskOptions` and calls `TaskOptions.tag(String)`.

### withDefaults

    public static TaskOptions withDefaults()

  Returns default `TaskOptions` with default values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD